/* ==========================================================================
   Code Styles
   ========================================================================== */

pre {
  font-family: Consolas, 'Liberation Mono', Courier, monospace;
  color: $color-dark-grey;
  background: $color-grey;
}

code {
  font-family: Consolas, 'Liberation Mono', Courier, monospace;
  color: grey;
  background: grey;
  padding: 0.2em 0.4em;
  white-space: nowrap;
}

p code {
  font-size: 90%;
}

.code {
  margin-left: -1em;
  margin-right: -1em;
  padding: 1em;
  border: 1px solid #eee;
  border-left-width: 0;
  border-right-width: 0;
  overflow-x: auto;
  -webkit-overflow-scrolling: touch;
  code {
    font-size: 95%;
    white-space: pre;
    word-wrap: normal;
    padding: 0;
    background: none;
  }
}

.code-wrap code {
  white-space: pre-wrap;
  word-wrap: break-word;
}